/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.content.dashboard.item.action;

import java.util.Locale;

/**
 * @author David Arques
 */
public interface ContentDashboardItemAction {

	public String getIcon();

	public String getLabel(Locale locale);

	public String getName();

	public Type getType();

	public String getURL();

	public String getURL(Locale locale);

	public default boolean isDisabled() {
		return false;
	}

	public enum Type {

		DELETE, DOWNLOAD, EDIT, PREVIEW, PREVIEW_IMAGE, SHARING_BUTTON,
		SHARING_COLLABORATORS, SUBSCRIBE, UNSUBSCRIBE, VIEW, VIEW_IN_PANEL

	}

}